cURL
curl --request GET \
--url https://api.brightdata.com/datasets/snapshots/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/snapshots/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/snapshots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"status": "已安排",
"dataset_id": "<string>",
"customer_id": "<string>",
"dataset_size": 123,
"file_size": 123,
"cost": 123,
"error": "<string>",
"error_code": "<string>",
"warning": "<string>",
"warning_code": "<string>",
"initiation_type": "<string>"
}"未找到快照"数据集市场 API
获取快照元数据
获取数据集快照元数据
GET
/
datasets
/
snapshots
/
{id}
cURL
授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
路径参数
快照 ID 是特定数据快照的唯一标识符,用于通过 API 触发的数据采集任务中获取结果。更多信息请参阅 Snapshot ID。
示例:
"snap_m2bxug4e2o352v1jv1"
此页面对您有帮助吗?